summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 15eaa04)
raw | patch | inline | side by side (parent: 15eaa04)
author | Ævar Arnfjörð Bjarmason <avarab@gmail.com> | |
Sat, 21 May 2011 18:44:25 +0000 (18:44 +0000) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Sat, 21 May 2011 18:57:18 +0000 (11:57 -0700) |
Gettextize bisect_run messages that use the $@ variable. Since it's
subroutine local we have to provide an alias for it for eval_gettext.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
subroutine local we have to provide an alias for it for eval_gettext.
Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-bisect.sh | patch | blob | history |
diff --git a/git-bisect.sh b/git-bisect.sh
index 8491490171a7515b6317d569abafe043181ebec0..bc7e16eb8400198ceb5157acae492ae2a6659aa4 100755 (executable)
--- a/git-bisect.sh
+++ b/git-bisect.sh
while true
do
- echo "running $@"
+ command="$@"
+ eval_gettext "running \$command"; echo
"$@"
res=$?
# Check for really bad run error.
if [ $res -lt 0 -o $res -ge 128 ]; then
- echo >&2 "bisect run failed:"
- echo >&2 "exit code $res from '$@' is < 0 or >= 128"
+ (
+ eval_gettext "bisect run failed:
+exit code \$res from '\$command' is < 0 or >= 128" &&
+ echo
+ ) >&2
exit $res
fi